org.icefaces.ace.component.animation

## Class BehaviorBase

- java.lang.Object
- - javax.faces.component.behavior.BehaviorBase
  - - javax.faces.component.behavior.ClientBehaviorBase
    - - org.icefaces.ace.component.animation.BehaviorBase

- All Implemented Interfaces:
    javax.faces.component.behavior.Behavior, javax.faces.component.behavior.ClientBehavior, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder
  Direct Known Subclasses:
    AnimationBehavior

      public class BehaviorBase
      extends javax.faces.component.behavior.ClientBehaviorBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map<java.lang.String,javax.el.ValueExpression>` | `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BehaviorBase()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Object` | `restoreAttachedState(javax.faces.context.FacesContext context, java.lang.Object stateObj)`
    `static java.util.Map<java.lang.String,javax.el.ValueExpression>` | `restoreBindingsState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `static java.lang.Object` | `saveAttachedState(javax.faces.context.FacesContext context, java.lang.Object attachedObject)`
    `java.lang.Object` | `saveBindingsState(javax.faces.context.FacesContext context)`

    - ### Methods inherited from class javax.faces.component.behavior.ClientBehaviorBase

      `decode, getHints, getRenderer, getRendererType, getScript`

    - ### Methods inherited from class javax.faces.component.behavior.BehaviorBase

      `addBehaviorListener, broadcast, clearInitialState, initialStateMarked, isTransient, markInitialState, removeBehaviorListener, restoreState, saveState, setTransient`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.Behavior

      `broadcast`

- - ### Field Detail

    - #### bindings

          protected java.util.Map<java.lang.String,javax.el.ValueExpression> bindings

  - ### Constructor Detail

    - #### BehaviorBase

          public BehaviorBase()

  - ### Method Detail

    - #### saveBindingsState

          public java.lang.Object saveBindingsState(javax.faces.context.FacesContext context)

    - #### restoreBindingsState

          public static java.util.Map<java.lang.String,javax.el.ValueExpression> restoreBindingsState(javax.faces.context.FacesContext context,
                                                                                                      java.lang.Object state)

    - #### restoreAttachedState

          public static java.lang.Object restoreAttachedState(javax.faces.context.FacesContext context,
                                                              java.lang.Object stateObj)
                                                       throws java.lang.IllegalStateException

      Throws:
        `java.lang.IllegalStateException`

    - #### saveAttachedState

          public static java.lang.Object saveAttachedState(javax.faces.context.FacesContext context,
                                                           java.lang.Object attachedObject)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.